Skip to main content

Statistics Ranking

You can access your application's statistics ranking via the Aptoide Connect Developer Console or programmatically through this API endpoint.

Endpoint

MethodURL
GEThttps://ws.catappult.io/api/applications/{applicationName}/statistics/top

Authentication

To access this API, you need to have an active account subscription on Aptoide Connect and authenticate with an API key (check here how to generate one).

⚠️ Account type required

Statistics can only be retrieved by accounts of type Developer.

Headers

HeaderTypeRequiredDescription
Api-KeystringRequiredUsed to authenticate your API requests. The value is your Aptoide Connect API key.

Path Parameters

ParameterTypeDescription
applicationNamestringThe unique package name of the application (e.g., com.example.test).

Query Parameters

ParameterTypeRequiredDescription
typestring (YYYY-MM-DD)RequiredFilters the data by type. Possible values: revenue, installs, or downloads.
fromstring (YYYY-MM-DD)RequiredStart date of the time range for retrieving statistics. Must not be earlier than 6 months before the current date. Example: 2025-11-01.
tostring (YYYY-MM-DD)RequiredEnd date of the time range for retrieving statistics. Example: 2025-11-30.
groupBystringRequiredAggregates results by the specified field. Possible values: country, or partner.
limitnumberOptional (default: 50)Maximum number of records to return in the response.
offsetnumberOptional (default: 0)Offset for pagination, indicating the starting position in the dataset.
countryCodesstringOptionalFilter by one or more countries using ISO 3166-1 alpha-2 codes. Multiple codes must be separated by commas. Example: PT,US.
partnerAccountUidsstringOptionalFilter by one or more partner account UIDs. Multiple UIDs must be separated by commas. See partner list here. Example: b25f95eb-5da9-43a6-b24a-9096c7ecfcb8.
amountTypestringOptional (default: wallet)Specifies whether to return net or gross revenue. Only applicable when type is revenue. Possible values: wallet (net value) or global (gross value).

Response

Success

If the API call returns an HTTP 200 status code, the request was successful and it returns an array of aggregated statistics objects.

Example Responses

Type: revenue; Group By: country

[
{
"arppu": 30824.000961928934,
"arpt": 5535.394885597083,
"identifiers": {
"country": {
"code": "PT"
}
},
"transactions": 5485,
"users": 985,
"volume": 30361640.9475,
"volumeInUsd": 30361640.9475
},
{
"arppu": 15000.246,
"arpt": 10714.461428571429,
"identifiers": {
"country": {
"code": "IT"
}
},
"transactions": 7,
"users": 5,
"volume": 75001.23,
"volumeInUsd": 75001.23
},
{
"arppu": 10410.82875,
"arpt": 1487.26125,
"identifiers": {
"country": {
"code": "IS"
}
},
"transactions": 28,
"users": 4,
"volume": 41643.315,
"volumeInUsd": 41643.315
},
{
"arppu": 1397.8051296296296,
"arpt": 159.91838347457627,
"identifiers": {
"country": {
"code": "US"
}
},
"transactions": 236,
"users": 27,
"volume": 37740.7385,
"volumeInUsd": 37740.7385
}
]

Type: revenue; Group By: partner

[
{
"arppu": 1270080.2173958332,
"arpt": 183626.05552710843,
"identifiers": {
"store": {
"account": {
"name": "storeName",
"uid": "storeUid"
}
}
},
"transactions": 166,
"users": 24,
"volume": 30481925.2175,
"volumeInUsd": 30481925.2175
},
{
"arppu": 15.649709677419354,
"arpt": 1.1775266990291262,
"identifiers": {
"store": {
"account": {
"name": "storeName",
"uid": "storeUid"
}
}
},
"transactions": 412,
"users": 31,
"volume": 485.141,
"volumeInUsd": 485.141
}
]

Type: downloads; Group By: country

[
{
"identifiers": {
"country": {
"code": "US"
}
},
"total": 1100
},
{
"identifiers": {
"country": {
"code": "NL"
}
},
"total": 500
},
{
"identifiers": {
"country": {
"code": "PT"
}
},
"total": 190
}
]

Type: downloads; Group By: partner

[
{
"identifiers": {
"store": {
"account": {
"name": "accountName",
"uid": "accountUid"
}
}
},
"total": 1710
},
{
"identifiers": {
"store": {
"account": {
"name": "accountName",
"uid": "accountUid"
}
}
},
"total": 80
}
]